Package org.springframework.scheduling.annotation

# Class AsyncConfigurerSupport

java.lang.Object
org.springframework.scheduling.annotation.AsyncConfigurerSupport

All Implemented Interfaces:
  `AsyncConfigurer`

@Deprecated(since="6.0") public class AsyncConfigurerSupport extends Object implements AsyncConfigurer
Deprecated.
as of 6.0 in favor of implementing `AsyncConfigurer` directly
A convenience `AsyncConfigurer` that implements all methods so that the defaults are used. Provides a backward compatible alternative of implementing `AsyncConfigurer` directly.

Since:
  4.1
Author:
  Stephane Nicoll

## Constructor Summary

Constructors
Constructor
Description
`AsyncConfigurerSupport()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Executor`
`getAsyncExecutor()`
Deprecated.
The `Executor` instance to be used when processing async method invocations.
`org.springframework.aop.interceptor.AsyncUncaughtExceptionHandler`
`getAsyncUncaughtExceptionHandler()`
Deprecated.
The `AsyncUncaughtExceptionHandler` instance to be used when an exception is thrown during an asynchronous method execution with `void` return type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncConfigurerSupport

public AsyncConfigurerSupport()
Deprecated.

## Method Details

### getAsyncExecutor

@Nullable public Executor getAsyncExecutor()
Deprecated.
Description copied from interface: `AsyncConfigurer`
The `Executor` instance to be used when processing async method invocations.

Specified by:
  `getAsyncExecutor` in interface `AsyncConfigurer`

### getAsyncUncaughtExceptionHandler

@Nullable public org.springframework.aop.interceptor.AsyncUncaughtExceptionHandler getAsyncUncaughtExceptionHandler()
Deprecated.
Description copied from interface: `AsyncConfigurer`
The `AsyncUncaughtExceptionHandler` instance to be used when an exception is thrown during an asynchronous method execution with `void` return type.

Specified by:
  `getAsyncUncaughtExceptionHandler` in interface `AsyncConfigurer`